"use strict";
var import_dom_event_testing_library = require("dom-event-testing-library"), import__ = require("..");
(0, import_dom_event_testing_library.describeWithPointerEvent)("modules/modality", function(hasPointerEvent) {
  var rootNode;
  beforeEach(function() {
    (0, import_dom_event_testing_library.setPointerEvent)(hasPointerEvent), rootNode = document.createElement("div"), document.body.appendChild(rootNode);
  }), afterEach(function() {
    document.body.removeChild(rootNode), rootNode = null, (0, import_dom_event_testing_library.clearPointers)(), (0, import__.testOnly_resetActiveModality)();
  }), describe("getModality", function() {
    (0, import_dom_event_testing_library.testWithPointerType)("reflects currently-in-use modality", function(pointerType) {
      var target = (0, import_dom_event_testing_library.createEventTarget)(rootNode);
      expect((0, import__.getModality)()).toBe("keyboard"), target.pointerdown({
        pointerType
      }), expect((0, import__.getModality)()).toBe(pointerType), target.pointerup({
        pointerType
      }), target.keydown(), expect((0, import__.getModality)()).toBe("keyboard"), pointerType !== "touch" && (target.pointermove({
        pointerType
      }), expect((0, import__.getModality)()).toBe(pointerType), target.keydown(), expect((0, import__.getModality)()).toBe("keyboard"));
    });
  }), describe("getActiveModality", function() {
    (0, import_dom_event_testing_library.testWithPointerType)("reflects last actively used modality", function(pointerType) {
      var target = (0, import_dom_event_testing_library.createEventTarget)(rootNode);
      expect((0, import__.getActiveModality)()).toBe("keyboard"), target.pointerdown({
        pointerType
      }), expect((0, import__.getActiveModality)()).toBe(pointerType), target.pointerup({
        pointerType
      }), target.keydown(), pointerType !== "touch" && (target.pointermove({
        pointerType
      }), expect((0, import__.getActiveModality)()).toBe("keyboard"));
    });
  });
});
//# sourceMappingURL=index-test.js.map
